var id_fact=0;

var id = 0;
var aux = 0;
var permisos = "";
var alta_vehiculo = 0;
var consulta_vehiculo = 0;
var edita_vehiculo = 0;
var mensaje = "";
var xd;

	var myVar = setInterval(timer_permisos_t, 1000);



	var myVar = setInterval(timer_permisos_v, 1000);



	var myVar = setInterval(timer_permisos_c, 1000);

	var pes= document.getElementById("vartime").value;




$(function() {
    $('input[name="daterange"]').daterangepicker({
        timePicker: true,
        timePickerIncrement: 1,		
        locale: {
            format: 'YYYY-MM-DD H:mm ',		
			applyLabel:'aplicar',
			cancelLabel:'cancelar',
        daysOfWeek: 
			["Do", "Lu", "Ma", "Mi", "Ju", "Vi", "Sa"],        
        monthNames: 
            ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio",
            "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"]
       
        }
		
    });
});
$(function() {
    $('input[name="fechainit"]').daterangepicker({
		 timePicker: true,
        timePickerIncrement: 1,		
        locale: {
            format: 'YYYY-MM-DD HH:mm:ss ',		
			applyLabel:'aplicar',
			cancelLabel:'cancelar',
        daysOfWeek: 
			["Do", "Lu", "Ma", "Mi", "Ju", "Vi", "Sa"],        
        monthNames: 
            ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio",
            "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"]
       
        }
		
    });
});

$(document).ready(function(){
$("#chkTurno").click(function(){
	if($("#chkTurno").prop("checked"))
	{
		$("#txtFechaContableIni").prop("disabled",false);
		$("#txtFechaContableFin").prop("disabled",false);

	}
	else
	{
		$("#txtFechaContableIni").prop("disabled",true);
		$("#txtFechaContableFin").prop("disabled",true);
	}

});

$("input[name='checkestatus']").click(function () {
	var idin = $(this).prop('id');
	
	if(idin=="serie" || idin=="adeudo" || idin=="folio")
	{
		   
	
	if( $('#'+idin).prop('checked') ) 
		{
	   		document.getElementById(idin+"t").disabled=false;
			
		}
		else
		{
			
			document.getElementById(idin+"t").disabled=true;
			
		}
	}
	else
	{
		if(idin=="turno" )
			{
				if( $('#'+idin).prop('checked') ) 
				{
					document.getElementById("turnoini").disabled=false;
					document.getElementById("turnofin").disabled=false;
					document.getElementById("fechainit").disabled=true;
					$('#fechaini').prop('checked',false);
				}
				else
				{

					document.getElementById("turnoini").disabled=true;
					document.getElementById("turnofin").disabled=true;
					
				}
			}
	}
	
	});
	
	$("input[name='orden']").click(function () {
		
	});
	$("input[name='productos']").click(function () {
	var idin = $(this).prop('id');
	
	});
	$('.numeros').on('input', function () { 
    this.value = this.value.replace(/[^0-9]/g,'');
	});


	$("#chkTurno").change(function(){
		if($("#chkTurno").prop("checked"))
		{
			$("#fechaini").prop("checked",false);
			$("#txtFechaRegistroIni").prop("disabled",true);
			$("#txtFechaRegistroFin").prop("disabled",true);
		}
		
	});
	$("#fechaini").change(function(){
		if($("#fechaini").prop("checked"))
		{
			$("#chkTurno").prop("checked",false);
			$("#txtFechaContableIni").prop("disabled",true);
			$("#txtFechaContableFin").prop("disabled",true);
		}
		
	});


});

function timer_permisos_t(){		
var permiso = 0;
	
	$.ajax(
	{		
		async:false, 
		url:   'mysql_carga_permisos.php',
		type:  'get',
		beforeSend: function () {		
		},
		success:  function (response) {							
			permisos = response;
		}
    });	

	
	permiso = permisos.split(",");
	
	
	if(permiso[7] == 1)
		document.getElementById('transac').style.display = 'block';
	else
		document.getElementById('transac').style.display = 'none';
		
	if(permiso[8] == 1)
		document.getElementById('fact').style.display = 'block';
	else
		document.getElementById('fact').style.display = 'none';
		
}
$(document).ready(function(){
	var altura = $('.menu').offset().top;
	
	$(window).on('scroll', function(){
		if ( $(window).scrollTop() > altura ){
			$('.menu').addClass('menu-fixed');
		} else {
			$('.menu').removeClass('menu-fixed');
		}
	});
 
});

function timer_permisos_t(){		
var permiso = 0;
	
	$.ajax(
	{		
		async:false, 
		url:   'mysql_carga_permisos.php',
		type:  'get',
		beforeSend: function () {		
		},
		success:  function (response) {							
			permisos = response;
		}
    });	

	
	permiso = permisos.split(",");
	
	
	if(permiso[7] == 1)
		document.getElementById('transac').style.display = 'block';
	else
		document.getElementById('transac').style.display = 'none';
		
	if(permiso[8] == 1)
		document.getElementById('fact').style.display = 'block';
	else
		document.getElementById('fact').style.display = 'none';
		
}

var tipobusqueda="";
	function clo(id_ve){
        
		
		var nombre="";
	  	if(id_ve=="1")
		{
		  nombre="Vehiculos";
		}
		if(id_ve=="2")
		{
		  nombre="Turno Inicial";
		}
		if(id_ve=="3")
		{
		  nombre="Turno Final";
		}
	  document.getElementById("tituloventana").innerHTML = ""+nombre;
		  tipobusqueda=id_ve;
        $('#popup').fadeIn('slow');
        $('.popup-overlay').fadeIn('slow');
        $('.popup-overlay').height($(window).height());
		  var prod = jQuery('#open').val(); 
		  
			$("#loader").fadeIn('slow');
			$.ajax({
				url:'botones.php?action=ajax&page='+id_ve,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="images/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		aux=0;
		id=0;
		
		
		if(id_ve=="1")
		{
		  loadXMLDoc();
		}
		if(id_ve=="2")
		{
		  loadXMLDoc();
		}
		if(id_ve=="3")
		{
		  loadXMLDoc();
		}
		 
        return false;
			}
$(document).ready(function(){
    $('#close').click(function(){
        $('#popup').fadeOut('slow');
        $('.popup-overlay').fadeOut('slow'); 
		document.getElementById("myDiv").innerHTML="";
		
        return false;
		
    });
});
function activar(tip){
	
	if(tip=="1")
	{
		if( $('#fechaini').prop('checked') ) 
		{
	   		document.getElementById("txtFechaRegistroIni").disabled=false;
	   		document.getElementById("txtFechaRegistroFin").disabled=false;
		}
		else
		{
			document.getElementById("txtFechaRegistroIni").disabled=true;
	   		document.getElementById("txtFechaRegistroFin").disabled=true;
			
		}
	}
	
	
}

	function loadXMLDoc()
{
var xmlhttp;

	var n;
	var val="";
	val=document.getElementById('atencion');
	
	if(val!=null)
	{
		n=val.value;
	}
	else
	{
		n="<";
	}
	if(tipobusqueda=="1")
	{
	
	var ch=0;	
	
	if($('#fechaini').prop('checked') ) {
		ch=1;

		}
	}
	
if (window.XMLHttpRequest)
{// code for IE7+, Firefox, Chrome, Opera, Safari
xmlhttp=new XMLHttpRequest();
}
else
{// code for IE6, IE5
xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
}
xmlhttp.onreadystatechange=function()
{
if (xmlhttp.readyState==4 && xmlhttp.status==200)
{
document.getElementById("myDiv").innerHTML=xmlhttp.responseText;
}
}
xmlhttp.open("POST","busqueda.php",true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send("q="+n+"|"+tipobusqueda+"|"+ch);

}
function cargatransacciones()
{
var xmlhttp;
	var n="";
	
	var idvehiculo=document.getElementById("idvehiculo").value;
	var turnoini=document.getElementById("txtFechaContableIni").value;
	var turnofin=document.getElementById("txtFechaContableFin").value;
	var checkturno=document.getElementById("chkTurno").value;
	var chserie=document.getElementById("seriet").value;
	var chadeudo=document.getElementById("adeudot").value;
	var chfolio=document.getElementById("foliot").value;
	var departamento=document.getElementById("departamento").value;
	var valorchecktu="0|";
	if($('#chkTurno').prop('checked'))
	{
		if(document.getElementById("txtFechaContableIni").value=="")
		{
			swal("Seleccione una fecha inicial");
			return;
		}
		if(document.getElementById("txtFechaContableFin").value=="")
		{
			swal("Seleccione una fecha final");
			return;
		}
		valorchecktu="1|";
	}
	var checks=['serie','adeudo','folio','facturado','nofacturado','limit','perifericos'];
	var contenido="";
		for(var i=0; i<=6; i++)
		{
			if($('#'+checks[i]).prop('checked'))
			{
				if(checks[i]=="serie" || checks[i]=="adeudo" || checks[i]=="folio")
				{
					if(checks[i]=="serie")
					{
				   contenido+="1|"+chserie+"|";
					}
					if(checks[i]=="adeudo")
					{
				   contenido+="1|"+chadeudo+"|";
					}
					if(checks[i]=="folio")
					{
				   contenido+="1|"+chfolio+"|";
					}
				}
				else
				{
					contenido+="1|";
				}
			}
			else
			{
				if(checks[i]=="serie" || checks[i]=="adeudo" || checks[i]=="folio")
				{
					if(checks[i]=="serie")
					{
				   		contenido+="0||";
					}
					if(checks[i]=="adeudo")
					{
				   		contenido+="0||";
					}
					if(checks[i]=="folio")
					{
				   		contenido+="0||";
					}
				}
				else
				{
					contenido+="0|";
				}
			}
		}
	
	var chfecha="";
	if($('#fechaini').prop('checked'))
	{
		if(document.getElementById("txtFechaRegistroIni").value=="")
		{
			swal("Seleccione una fecha inicial");
			return;
		}
		if(document.getElementById("txtFechaRegistroFin").value=="")
		{
			swal("Seleccione una fecha final");
			return;
		}
	   chfecha+="1|"+document.getElementById("txtFechaRegistroIni").value+"-"+document.getElementById("txtFechaRegistroFin").value+"|";

	}
	else
	{
		chfecha+="0||";
	}
	var orden="";
	if($('#radioid').prop('checked'))
	{
	   orden+="1|0|";
	}
	else
	{
		orden+="0|1|";
	}
	 var listprod="";
	$("input[name=productos]").each(function(index) {
		if($(this).is(':checked')){									   
			
		}
		else
		{
			listprod+=$(this).prop("id")+",";
		}
	});
	
	n=idvehiculo+"|"+turnoini+"|"+turnofin+"|"+contenido+chfecha+orden+listprod+"|"+valorchecktu+departamento+"|";
	
if (window.XMLHttpRequest)
{// code for IE7+, Firefox, Chrome, Opera, Safari
xmlhttp=new XMLHttpRequest();
}
else
{// code for IE6, IE5
xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
}
xmlhttp.onreadystatechange=function()
{
if (xmlhttp.readyState==4 && xmlhttp.status==200)
{
document.getElementById("myDiv2").innerHTML=xmlhttp.responseText;
}
}
xmlhttp.open("POST","transacciones.php",true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send("q="+n);

}
function cargafacturas()
{
var xmlhttp;
	var n="";
	
	
	var turnoini=document.getElementById("txtFechaContableIni").value;
	var turnofin=document.getElementById("txtFechaContableFin").value;
	var chserie=document.getElementById("seriet").value;
	var chfolio=document.getElementById("foliot").value;
	var tipocli=document.getElementById("tipocli").value;
	var valorchecktu="0|";
	if($('#chkTurno').prop('checked'))
	{
		if(document.getElementById("txtFechaContableIni").value=="")
		{
			swal("Seleccione una fecha inicial");
			return;
		}
		if(document.getElementById("txtFechaContableFin").value=="")
		{
			swal("Seleccione una fecha final");
			return;
		}
		valorchecktu="1|";
	}
	var checks=['serie','activo','folio','cancelada','reproceso'];
	var contenido="";
		for(var i=0; i<=4; i++)
		{
			if($('#'+checks[i]).prop('checked'))
			{
				if(checks[i]=="serie" || checks[i]=="folio")
				{
					if(checks[i]=="serie")
					{
				   contenido+="1|"+chserie+"|";
					}
					if(checks[i]=="folio")
					{
				   contenido+="1|"+chfolio+"|";
					}
				}
				else
				{
					contenido+="1|";
				}
			}
			else
			{
				if(checks[i]=="serie" || checks[i]=="folio")
				{
					if(checks[i]=="serie")
					{
				   		contenido+="0||";
					}
					
					if(checks[i]=="folio")
					{
				   		contenido+="0||";
					}
				}
				else
				{
					contenido+="0|";
				}
			}
		}
	
	var chfecha="";
	if($('#fechaini').prop('checked'))
	{
		if(document.getElementById("txtFechaRegistroIni").value=="")
		{
			swal("Seleccione una fecha inicial");
			return;
		}
		if(document.getElementById("txtFechaRegistroFin").value=="")
		{
			swal("Seleccione una fecha final");
			return;
		}
	   chfecha+="1|"+document.getElementById("txtFechaRegistroIni").value+"-"+document.getElementById("txtFechaRegistroFin").value+"|";
	}
	else
	{
		chfecha+="0||";
	}
	
	 
	
	n=turnoini+"|"+turnofin+"|"+contenido+tipocli+"|"+chfecha+valorchecktu;
	
if (window.XMLHttpRequest)
{// code for IE7+, Firefox, Chrome, Opera, Safari
xmlhttp=new XMLHttpRequest();
}
else
{// code for IE6, IE5
xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
}
xmlhttp.onreadystatechange=function()
{
if (xmlhttp.readyState==4 && xmlhttp.status==200)
{
document.getElementById("myDiv2").innerHTML=xmlhttp.responseText;
}
}
xmlhttp.open("POST","facturas.php",true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send("q="+n);

}
function reporte_facturas(idtipo)
{
var xmlhttp;
	var n="";
	var nFilas = $("#tabla_facturas tr").length;
	
	var turnoini=$("#txtFechaContableIni").val();
	var turnofin=$("#txtFechaContableFin").val();
	var chserie=document.getElementById("seriet").value;
	var chfolio=document.getElementById("foliot").value;
	var valorchecktu="0|";
	if($('#chkTurno').prop('checked'))
	{
		valorchecktu="1|";
	}
	var checks=['serie','activo','folio','cancelada','reproceso','contado','debito','credito'];
	var contenido="";
		for(var i=0; i<=7; i++)
		{
			if($('#'+checks[i]).prop('checked'))
			{
				if(checks[i]=="serie" || checks[i]=="folio")
				{
					if(checks[i]=="serie")
					{
				   contenido+="1|"+chserie+"|";
					}
					if(checks[i]=="folio")
					{
				   contenido+="1|"+chfolio+"|";
					}
				}
				else
				{
					contenido+="1|";
				}
			}
			else
			{
				if(checks[i]=="serie" || checks[i]=="folio")
				{
					if(checks[i]=="serie")
					{
				   		contenido+="0||";
					}
					
					if(checks[i]=="folio")
					{
				   		contenido+="0||";
					}
				}
				else
				{
					contenido+="0|";
				}
			}
		}
	
	var chfecha="";
	if($('#fechaini').prop('checked'))
	{
	   chfecha+="1|"+document.getElementById("txtFechaRegistroIni").value+"-"+document.getElementById("txtFechaRegistroFin").value+"|";
	}
	else
	{
		chfecha+="0||";
	}
	
	 
	
	n=turnoini+"|"+turnofin+"|"+contenido+chfecha+idtipo+"|"+valorchecktu;
	
	
	window.open("Consultar_reporte_facturas.php?n="+n);
	
}

function reporte_transacciones(idtipo){
	var n="";
	
	var nFilas = $("#tabla_vehiculos2 tr").length;
	
	
	var idvehiculo=document.getElementById("idvehiculo").value;
	var turnoini=$("#txtFechaContableIni").val();
	var turnofin=$("#txtFechaContableFin").val();
	
	var chserie=document.getElementById("seriet").value;
	var chadeudo=document.getElementById("adeudot").value;
	var chfolio=document.getElementById("foliot").value;
	var departamento=document.getElementById("departamento").value;
	var valorchecktu="0|";
	if($('#chkTurno').prop('checked'))
	{
		if(document.getElementById("txtFechaContableIni").value=="")
		{
			swal("Seleccione una fecha inicial");
			return;
		}
		if(document.getElementById("txtFechaContableFin").value=="")
		{
			swal("Seleccione una fecha final");
			return;
		}
		valorchecktu="1|";
	}
	var checks=['serie','adeudo','folio','facturado','nofacturado','limit','perifericos'];
	var contenido="";
		for(var i=0; i<=6; i++)
		{
			if($('#'+checks[i]).prop('checked'))
			{
				if(checks[i]=="serie" || checks[i]=="adeudo" || checks[i]=="folio")
				{
					if(checks[i]=="serie")
					{
				   contenido+="1|"+chserie+"|";
					}
					if(checks[i]=="adeudo")
					{
				   contenido+="1|"+chadeudo+"|";
					}
					if(checks[i]=="folio")
					{
				   contenido+="1|"+chfolio+"|";
					}
				}
				else
				{
					contenido+="1|";
				}
			}
			else
			{
				if(checks[i]=="serie" || checks[i]=="adeudo" || checks[i]=="folio")
				{
					if(checks[i]=="serie")
					{
				   		contenido+="0||";
					}
					if(checks[i]=="adeudo")
					{
				   		contenido+="0||";
					}
					if(checks[i]=="folio")
					{
				   		contenido+="0||";
					}
				}
				else
				{
					contenido+="0|";
				}
			}
		}
	
	var chfecha="";
	if($('#fechaini').prop('checked'))
	{
		if(document.getElementById("txtFechaRegistroIni").value=="")
		{
			swal("Seleccione una fecha inicial");
			return;
		}
		if(document.getElementById("txtFechaRegistroFin").value=="")
		{
			swal("Seleccione una fecha final");
			return;
		}
	   chfecha+="1|"+document.getElementById("txtFechaRegistroIni").value+"-"+document.getElementById("txtFechaRegistroFin").value+"|";
	}
	else
	{
		chfecha+="0||";
	}
	var orden="";
	
	   orden="1|0|";
	
		
	
	 var listprod="";
	$("input[name=productos]").each(function(index) {
		if($(this).is(':checked')){									   
			
		}
		else
		{
			listprod+=$(this).prop("id")+",";
		}
	});
	
	n=idvehiculo+"|"+turnoini+"|"+turnofin+"|"+contenido+chfecha+orden+listprod+"|"+idtipo+"|"+valorchecktu+departamento+"|";
	
	
	
	   window.open("Consultar_reporte_transacciones.php?n="+n);
	
	
}
function cargar_tra(){
	var vehi=id.split("|");
	if(vehi[0]=="1")
	{
	document.getElementById("idvehiculo").value=vehi[1];
	document.getElementById("descvehiculo").value=vehi[2];
	$('#popup').fadeOut('slow');
        $('.popup-overlay').fadeOut('slow'); 
		swal("Vehiculo agregado");
		document.getElementById("departamento").value="";
        return false;
	}
	if(vehi[0]=="2")
	{
	document.getElementById("turnoini").value=vehi[1];
	
	$('#popup').fadeOut('slow');
        $('.popup-overlay').fadeOut('slow'); 
		swal("Turno agregado");
        return false;
	}
	if(vehi[0]=="3")
	{
	document.getElementById("turnofin").value=vehi[1];
	
	$('#popup').fadeOut('slow');
        $('.popup-overlay').fadeOut('slow'); 
		swal("Turno agregado");
        return false;
	}
}
function limpia_vehiculo(){
	document.getElementById("idvehiculo").value="";
	document.getElementById("descvehiculo").value="";
}
function timer_permisos_c(){		
var permiso = 0;
	
	$.ajax(
	{		
		async:false, 
		url:   'mysql_carga_permisos.php',
		type:  'get',
		beforeSend: function () {		
		},
		success:  function (response) {							
			permisos = response;
		}
    });	

	permiso = permisos.split(",");
	if(pes=="c"){
	if(permiso[3] == 1)
		document.getElementById('btnrendimiento').style.display = 'block';
	else
		document.getElementById('btnrendimiento').style.display = 'none';
	
	if(permiso[4] == 1)
		document.getElementById('btncontrol').style.display = 'block';
	else
		document.getElementById('btncontrol').style.display = 'none';
	
	if(permiso[5] == 1)
		document.getElementById('btnconsumos').style.display = 'block';
	else
		document.getElementById('btnconsumos').style.display = 'none';
	
	if(permiso[6] == 1)
		document.getElementById('btnestado').style.display = 'block';
	else
		document.getElementById('btnestado').style.display = 'none';
	}
}

function timer_permisos_v(){		
var permiso = 0;
	
	$.ajax(
	{		
		async:false, 
		url:   'mysql_carga_permisos.php',
		type:  'get',
		beforeSend: function () {		
		},
		success:  function (response) {							
			permisos = response;
		}
    });	
	

	permiso = permisos.split(",");
	
	if(pes=="v"){
	if(permiso[0] == 1 && edita_vehiculo == 0 && consulta_vehiculo == 0 && alta_vehiculo == 0)
	{
		document.getElementById('btnagregar').style.display = 'inline';
	}
	else
		document.getElementById('btnagregar').style.display = 'none';
	
	if(permiso[1] == 1 && alta_vehiculo == 0 && consulta_vehiculo == 0 && edita_vehiculo == 0)
	{
		document.getElementById('btneditar').style.display = 'inline';
	}
	else
		document.getElementById('btneditar').style.display = 'none';
	
	if(permiso[2] == 1 && alta_vehiculo == 0 && edita_vehiculo == 0 && consulta_vehiculo == 0)
	{
		document.getElementById('btnconsultar').style.display = 'inline';
	}
	else
		document.getElementById('btnconsultar').style.display = 'none';
	}
}
function letras(e)
{
	key = e.keyCode|| e.which;
	tecla = String.fromCharCode(key).toUpperCase();
	letras = "ABCDEFGHIJKLMNÑOPQRSTUVWXYZ"
	especiales = "?-%-&-/-(-)-#-!-'-¿-$-º-\-ª-`-^-[-]-+-*-{-¨-´-Ç-ç-}-_-.-<->-@-:-;-,";
	tecla_especial = false
	for(var i in especiales)
	{
		if(key == especiales [i] || key == 11 || key == 9 || key == 8 ){
			tecla_especial = true;
			break;
		}
	}
			
	if (letras.indexOf(tecla)== -1 && !tecla_especial){
		return false;	
	}
}
		
function letrasEspacio(e)
{
	key = e.keyCode|| e.which;
	tecla = String.fromCharCode(key).toUpperCase();
	letras = "ABCDEFGHIJKLMNÑOPQRSTUVWXYZ "
	especiales = "?-%-&-/-(-)-#-!-'-¿-$-º-\-ª-`-^-[-]-+-*-{-¨-´-Ç-ç-}-_-.-<->-@-:-;-,";
	tecla_especial = false	
	for(var i in especiales)
	{
		if(key == especiales [i] || key == 11 || key == 9 || key == 8 ){
			tecla_especial = true;
			break;
		}
	}
			
	if (letras.indexOf(tecla)== -1 && !tecla_especial)
	{
		return false;	
	}
}

function numeros(e)
{
	key = e.keyCode|| e.which;
	tecla = String.fromCharCode(key).toUpperCase();
	letras = "1234567890"
	especiales = "?-%-&-/-(-)-#-!-'-¿-$-º-\-ª-`-^-[-]-+-*-{-¨-´-Ç-ç-}-_-.-<->-@-:-;-,";
	tecla_especial = false
	for(var i in especiales){
		if(key == especiales [i] || key == 11 || key == 9 || key == 8 ){
			tecla_especial = true;
			break;
		}
	}			
	if (letras.indexOf(tecla)== -1 && !tecla_especial)
	{
		return false;	
	}
}

function DosDecimales(e, field) 
{
	key = e.keyCode ? e.keyCode : e.which
 
    if (key == 8) return true
    if (key == 11) return true
    if (key == 9) return true
    
    if (field.value != "") 
	{
        if ((field.value.indexOf(".")) > 0) 
		{    
            if (key > 47 && key < 58) {
                if (field.value == "") return true               
                regexp = /[0-9]{2}$/
                return !(regexp.test(field.value))
            }
        }
    }
    
    if (key > 47 && key < 58) 
	{
        if (field.value == "") return true
        regexp = /[0-9]{10}/
        return !(regexp.test(field.value))
    }
    
    if (key == 46) 
	{
        if (field.value == "") return false
        regexp = /^[0-9]+$/
        return regexp.test(field.value)
    }
    
    return false
}

function TresDecimales(e, field) 
{
	key = e.keyCode ? e.keyCode : e.which	    
    
	if (key == 8) return true
	if (key == 11) return true
    if (key == 9) return true
    
    if (field.value != "") {
        if ((field.value.indexOf(".")) > 0) 
		{        
            if (key > 47 && key < 58) 
			{
                if (field.value == "") return true               
                regexp = /[0-9]{3}$/
                return !(regexp.test(field.value))
            }
        }
    }
    
    if (key > 47 && key < 58) 
	{
        if (field.value == "") return true
        regexp = /[0-9]{10}/
        return !(regexp.test(field.value))
    }
    
    if (key == 46) 
	{
        if (field.value == "") return false
        regexp = /^[0-9]+$/
        return regexp.test(field.value)
    }
    
    return false
}

function numerosCP(e,valor)
{	
	key = e.keyCode|| e.which;
	tecla = String.fromCharCode(key).toUpperCase();
	letras = "1234567890,"
	especiales = "?-%-&-/-(-)-#-!-'-¿-$-º-\-ª-`-^-[-]-+-*-{-¨-´-Ç-ç-}-_-.-<->-@-:-;-,";
	tecla_especial = false
	for(var i in especiales)
	{
		if(key == especiales [i] || key == 11 || key == 9 || key == 8 )
		{
			tecla_especial = true;
			break;
		}
		if(key==13 || (key==46 && valor.indexOf(".")==-1))
        {
            tecla_especial = true;
			break;
        }
	}			
	
	if (letras.indexOf(tecla)== -1 && !tecla_especial)
	{
		return false;	
	}
}
		
function alfanum(e)
{
	key = e.keyCode|| e.which;
	tecla = String.fromCharCode(key).toUpperCase();
	letras = "ABCDEFGHIJKLMNÑOPQRSTUVWXYZ1234567890"
	especiales = "?-%-&-/-(-)-#-!-'-¿-$-º-\-ª-`-^-[-]-+-*-{-¨-´-Ç-ç-}-_-.-<->-@-:-;-,";
	tecla_especial = false
	for(var i in especiales)
	{
		if(key == especiales [i] || key == 11 || key == 9 || key == 8 )
		{
			tecla_especial = true;
			break;
		}
	}
			
	if (letras.indexOf(tecla)== -1 && !tecla_especial)
	{
		return false;	
	}
}
		
function alfanumEspacio(e)
{
	key = e.keyCode|| e.which;
	tecla = String.fromCharCode(key).toUpperCase();
	letras = "ABCDEFGHIJKLMNÑOPQRSTUVWXYZ1234567890 "
	especiales = "?-%-&-/-(-)-#-!-'-¿-$-º-\-ª-`-^-[-]-+-*-{-¨-´-Ç-ç-}-_-.-<->-@-:-;-,";
	tecla_especial = false
	for(var i in especiales)
	{
		if(key == especiales [i] || key == 11 || key == 9 || key == 8 )
		{
			tecla_especial = true;
			break;
		}
	}
			
	if (letras.indexOf(tecla)== -1 && !tecla_especial)
	{
		return false;	
	}
}

function limpiar(){
	 document.getElementById("centro_catalogo").innerHTML="";
}

function Cancelar()
{
	alta_vehiculo = 0;
	consulta_vehiculo = 0;
	edita_vehiculo = 0;
	window.location	="catalogo_vehiculos.php";
}
function buscar()
{
	var fecha_rango = document.getElementById('daterange').value;
	var fecha_inicio = fecha_rango.substring(16,0).trim() + ":00";
	var fecha_fin = fecha_rango.substring(19).trim()+ ":00";
	var tarjeta = document.getElementById('cmbtarjeta').value;
	var rendimiento = 0;
	var combustible = 0;
	var control = 0;
	var consumo = 0;	
	var estado = 0;	
	var adeudo=0;
	
	if(document.getElementById("cbxRRV").checked)
	{
		if(document.getElementById("cbxCU").checked || document.getElementById("cbxRU").checked)
		{
			if(document.getElementById("cbxCU").checked)
				rendimiento = 1;
			if(document.getElementById("cbxRU").checked)
				combustible = 1;
		}else
		{
			swal("Favor de seleccionar un tipo de reporte de rendimiento");
			return;
		}
	}
	
	if(document.getElementById("cbxCV").checked)
		control = 1;
	if(document.getElementById("cbxC").checked)
		consumo = 1;	
	if(document.getElementById("cbxE").checked)
		estado = 1;	
	if(document.getElementById("cbxA").checked)
		adeudo = 1;	
	
	if(rendimiento == 1){		     
		window.open("Consultar_reporte_rendimiento_costo.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(combustible == 1){		
		window.open("Consultar_reporte_rendimiento_vehiculos.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(control == 1){		
		window.open("Consultar_reporte_control_vehiculo.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(consumo == 1){		
		window.open("Consultar_reporte_consumos.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(estado == 1){		
		window.open("Consultar_reporte_estado_cuenta.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(adeudo == 1){		
		window.open("Consultar_reporte_adeudos.php");
	}
	
}
function generar_txt()
{
	var fecha_rango = document.getElementById('daterange').value;
	var fecha_inicio = fecha_rango.substring(16,0).trim() + ":00";
	var fecha_fin = fecha_rango.substring(19).trim()+ ":00";
	var tarjeta = document.getElementById('cmbtarjeta').value;
	var rendimiento = 0;
	var combustible = 0;
	var control = 0;
	var consumo = 0;	
	var estado = 0;	
	
	if(document.getElementById("cbxRRV").checked)
	{
		if(document.getElementById("cbxCU").checked || document.getElementById("cbxRU").checked)
		{
			if(document.getElementById("cbxCU").checked)
				rendimiento = 1;
			if(document.getElementById("cbxRU").checked)
				combustible = 1;
		}else
		{
			swal("Favor de seleccionar un tipo de reporte de rendimiento");
			return;
		}
	}
	
	if(document.getElementById("cbxCV").checked)
		control = 1;
	if(document.getElementById("cbxC").checked)
		consumo = 1;	
	if(document.getElementById("cbxE").checked)
		estado = 1;	
		
	if(rendimiento == 1){		     
		window.open("Consultar_reporte_rendimiento_costo_txt.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(combustible == 1){		
		window.open("Consultar_reporte_rendimiento_vehiculos_txt.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(control == 1){		
		window.open("Consultar_reporte_control_vehiculo_txt.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(consumo == 1){		
		window.open("Consultar_reporte_consumos_txt.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	if(estado == 1){		
		window.open("Consultar_reporte_estado_cuenta_txt.php?tarjeta=" + tarjeta
															+ "&fecha_inicio="+ fecha_inicio 
															+ "&fecha_fin="+fecha_fin);
	}
	
}
function habilita_RRV()
{	
	if(document.getElementById('cbxRRV').checked == true){		
		document.getElementById('Combustible_unidad').style.display= 'block';
		document.getElementById('Costo_unidad').style.display= 'block';		
		document.getElementById('cbxCV').checked= false;		
		document.getElementById('cbxC').checked= false;		
		document.getElementById('cbxE').checked= false;
		document.getElementById('cbxA').checked = false;
	}else{				
		document.getElementById('Combustible_unidad').style.display= 'none';
		document.getElementById('Costo_unidad').style.display= 'none';
		document.getElementById('cbxRU').checked = false;
		document.getElementById('cbxCU').checked = false;		
		document.getElementById('cbxE').checked = false;
		document.getElementById('cbxA').checked = false;
	}	
}
function habilita_E()
{	
	if(document.getElementById('cbxE').checked == true){		
		document.getElementById('Combustible_unidad').style.display= 'none';
		document.getElementById('Costo_unidad').style.display= 'none';		
		document.getElementById('cbxRRV').checked= false;		
		document.getElementById('cbxC').checked= false;		
		document.getElementById('cbxRU').checked = false;
		document.getElementById('cbxCU').checked = false;		
		document.getElementById('cbxCV').checked = false;
		document.getElementById('cbxA').checked = false;
	}	
}
function habilita_CV()
{	
	if(document.getElementById('cbxCV').checked == true){		
		document.getElementById('Combustible_unidad').style.display= 'none';
		document.getElementById('Costo_unidad').style.display= 'none';		
		document.getElementById('cbxRRV').checked= false;		
		document.getElementById('cbxC').checked= false;		
		document.getElementById('cbxRU').checked = false;
		document.getElementById('cbxCU').checked = false;		
		document.getElementById('cbxE').checked = false;	
		document.getElementById('cbxA').checked = false;
	}
}
function habilita_C()
{	
	if(document.getElementById('cbxC').checked == true){		
		document.getElementById('Combustible_unidad').style.display= 'none';
		document.getElementById('Costo_unidad').style.display= 'none';		
		document.getElementById('cbxRRV').checked= false;		
		document.getElementById('cbxCV').checked= false;		
		document.getElementById('cbxRU').checked = false;
		document.getElementById('cbxCU').checked = false;		
		document.getElementById('cbxE').checked = false;	
		document.getElementById('cbxA').checked = false;
	}
}
function habilita_A()
{
	if(document.getElementById('cbxA').checked == true){		
		document.getElementById('Combustible_unidad').style.display= 'none';
		document.getElementById('Costo_unidad').style.display= 'none';		
		document.getElementById('cbxRRV').checked= false;		
		document.getElementById('cbxCV').checked= false;		
		document.getElementById('cbxRU').checked = false;
		document.getElementById('cbxCU').checked = false;		
		document.getElementById('cbxE').checked = false;
		document.getElementById('cbxA').checked = true;
		document.getElementById('cbxC').checked= false;
	}
}
function rendimiento()
{
	if(document.getElementById('cbxRU').checked == true)
	{
		document.getElementById('cbxCU').checked = false;
	}
}
function rendimiento_unidad()
{
	if(document.getElementById('cbxCU').checked == true)
	{
		document.getElementById('cbxRU').checked = false;
	}
}
function sleep(milliseconds) {
  var start = new Date().getTime();
  for (var i = 0; i < 1e7; i++) {
    if ((new Date().getTime() - start) > milliseconds){
      break;
    }
  }
}
function Guardar()
{	
	var contenedor = document.getElementById('respuesta');			
	var carga_dia_control = 0;
	var carga_dia_max = 0;
	var carga_dia_cuenta = 0;	
	var odometro = 0;
	var odometro_dif_max = 0;
	var volumen_dia_control = 0;
	var volumen_dia_max = 0;
	var volumen_dia_cuenta = 0;
	var monto_dia_control = 0;
	var monto_dia_max = 0;
	var monto_dia_cuenta = 0;

	var periodo_tiempo = document.getElementById('cmbperiodo').value;
	var periodo_dias = document.getElementById('cmbdia').value;
	var volumen_periodo_control=0;
	var volumen_periodo_max = 0;
	var volumen_periodo_cuenta = 0;
	var monto_periodo_control = 0;
	var monto_periodo_max = 0;
	var monto_periodo_cuenta = 0;
	
	var dia_semana_control = 0;
	var dia_semana = "0000000";

	var producto_control = 0;
	var producto_id = 0;
		
	var monto_volumen_fijo_control = 0;	
	var monto_fijo = 0;
	var volumen_fijo = 0;
	var nip_control = 0;
	var odometro_control = 0;
	var referencia_control = 0;
	var habilitado = 0;
	var num = 0;
	
	var	departamento = document.getElementById('txtdepartamento').value.trim();
	var	descripcion = document.getElementById('txtdescripcion').value.trim();
	var	modelo = document.getElementById('txtmodelo').value.trim();
	var	marca = document.getElementById('txtmarca').value.trim();
	var	placa = document.getElementById('txtplaca').value.trim();
	var	tag = document.getElementById('txttag').value.trim();
	var	nip = document.getElementById('txtnip').value.trim();
	var	conductor = document.getElementById('txtconductor').value.trim();
	var	num_economico = document.getElementById('txtnumeroeconomico').value.trim();	
	
	if(tag.length == 0)
	{
		swal("Ingresar tag");
		return;
	}
	if(nip.length == 0)
	{
		swal("Ingresar nip");
		return;
	}
	
	if(document.getElementById("habilitadoV").checked)
	{
		habilitado = 1;
	}
	if (document.getElementById('cbxcargadia').checked)
	{		
		carga_dia_control = 1;		
		carga_dia_max = document.getElementById('txtcargadiamaximo').value;
		
		if(carga_dia_max.length == 0){
			swal("Ingresar carga dia maximo");
			return;
		}		
	}	
	odometro = document.getElementById('txtodometro').value;
	if(odometro.length == 0)	
		odometro = 0;
	
	odometro_dif_max = document.getElementById('txtodometromax').value;	
	if(odometro_dif_max.length == 0)	
		odometro_dif_max = 0;
	
	if (document.getElementById('cbxvolumendia').checked)
	{
		volumen_dia_control = 1;
		volumen_dia_max = document.getElementById('txtvolumendiamaximo').value;		
		if(volumen_dia_max.length == 0){
			swal("Ingresar volumen dia maximo");
			return;
		}		
	}
	if (document.getElementById('cbxmontodia').checked)
	{
		monto_dia_control = 1;
		monto_dia_max = document.getElementById('txtmontodiamaximo').value;
		
		if(monto_dia_max.length == 0){
			swal("Ingresar monto dia maximo");
			return;
		}		
	}
	var periodo = document.getElementById("cmbperiodo").value;
	if( periodo == null) 
	{
		swal("Ingresar periodo");
		return;
	}	
	var periododia = document.getElementById("cmbdia").value;
	if(periodo_tiempo == 3)
	{
		if( periododia == null || periododia == 0 ) {
			swal("Ingresar dia");
			return;
		}		
	}
	else
	{	
		periodo_dias = 0;
	}
	if (document.getElementById('cbxvolumenperiodo').checked)
	{		
		volumen_periodo_control= 1;
		volumen_periodo_max = document.getElementById('txtvolperiodomaximo').value;
		
		if(volumen_periodo_max.length == 0){
			swal("Ingresar volumen periodo maximo");
			return;
		}		
	}	
	if (document.getElementById('cbxmontoperiodo').checked)
	{		
		monto_periodo_control = 1;
		monto_periodo_max = document.getElementById('txtmontoperiodomaximo').value;
				
		if(monto_periodo_max.length == 0){
			swal("Ingresar monto periodo maximo");
			return;
		}		
	}	
	if (document.getElementById('cbxcontroldia').checked)
	{
		dia_semana_control = 1;
		dia_semana = "";
		if(document.getElementById('cbxdias1').checked)	
			dia_semana += document.getElementById('cbxdias1').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias2').checked)	
			dia_semana += document.getElementById('cbxdias2').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias3').checked)	
			dia_semana += document.getElementById('cbxdias3').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias4').checked)	
			dia_semana += document.getElementById('cbxdias4').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias5').checked)	
			dia_semana += document.getElementById('cbxdias5').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias6').checked)	
			dia_semana += document.getElementById('cbxdias6').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias7').checked)	
			dia_semana += document.getElementById('cbxdias7').value;
		else
			dia_semana += 0;
		if(dia_semana.length == 0){
				swal("elegir un dia para el control dia semana");
				return;
		}			
	}
	if (document.getElementById('cbxproducto').checked)
	{		
		producto_control = 1;
		producto_id = "";
		if(document.getElementById('cbxprod1').checked)				
			producto_id = 1;
		if(document.getElementById('cbxprod2').checked)				
			producto_id = 2;
		if(document.getElementById('cbxprod3').checked)				
			producto_id = 3;
		if(producto_id == 0){
				swal("elegir producto ");
				return;
		}
	}
	if (document.getElementById('cbxmonto_volumen_fijo').checked)
	{
		monto_volumen_fijo_control = 1;
		monto_fijo = document.getElementById('txtmontofijo').value;
		volumen_fijo = document.getElementById('txtvolumenfijo').value;
		
		if(monto_fijo.length == 0 && volumen_fijo == 0){
			swal("seleccionar un monto o volumen fijo");
			return;
		}
		if(monto_fijo.length > 0 && volumen_fijo > 0){
			swal("seleccionar o monto o volumen fijo");
			return;
		}
		if(monto_fijo.length == 0){
			monto_fijo = 0;
		}
		if(volumen_fijo.length == 0){
			volumen_fijo = 0;
		}
	}
	
	if(document.getElementById('cbxnip').checked)
		nip_control = 1;
	if(document.getElementById('cbxodometro').checked)
		odometro_control = 1;
	if(document.getElementById('cbxreferencia').checked)
		referencia_control = 1;
	
	var parametros = {               			
				"habilitado" : habilitado,				
				"carga_dia_control" : carga_dia_control,
				"carga_dia_max" : carga_dia_max,
				"carga_dia_cuenta" : carga_dia_cuenta,				
				"odometro" : odometro,
				"odometro_dif_max" : odometro_dif_max,
				"volumen_dia_control"  : volumen_dia_control ,
				"volumen_dia_max" : volumen_dia_max ,
				"volumen_dia_cuenta" : volumen_dia_cuenta,
				"monto_dia_control" : monto_dia_control ,
				"monto_dia_max" : monto_dia_max,
				"monto_dia_cuenta" : monto_dia_cuenta,
				"periodo_tiempo" : periodo_tiempo,
				"periodo_dias" : periodo_dias ,
				"volumen_periodo_control" : volumen_periodo_control,
				"volumen_periodo_max" : volumen_periodo_max,
				"volumen_periodo_cuenta" : volumen_periodo_cuenta,
				"monto_periodo_control" : monto_periodo_control,
				"monto_periodo_max" : monto_periodo_max,
				"monto_periodo_cuenta" : monto_periodo_cuenta,	
				"dia_semana_control" : dia_semana_control,
				"dia_semana" : dia_semana,
				"producto_control" : producto_control,
				"producto_id" : producto_id,
				"monto_volumen_fijo" : monto_volumen_fijo_control,
				"monto_fijo" : monto_fijo,
				"volumen_fijo" : volumen_fijo,				
				"departamento" : departamento,
				"descripcion" : descripcion,
				"marca" : marca,
				"modelo" : modelo,
				"placa" : placa,
				"tag" : tag,
				"nip" : nip,
				"nip_control" : nip_control,
				"odometro_control" : odometro_control,
				"referencia_control" : referencia_control,
				"conductor" : conductor,
				"num_economico" : num_economico
        };		
        $.ajax({
				async:false,
                data:  parametros,
                url:   'mysql_agregar_vehiculo.php',
                type:  'get',            
                success:  function (response) {                       					
					mensaje = response.trim();					
                }
        });	
		sleep(1000);			
		num = mensaje.localeCompare("Vehiculo creado correctamente");		
		swal(mensaje);		
		if(num == 0)		
			setTimeout ("window.location='catalogo_vehiculos.php';", 2000);		
}
function Modificar(q)
{	
	var departamento = "";
	var descripcion = "";
	var modelo = "";
	var	marca = "";
	var placa = "";
	var tag = "";
	var nip = "";
	var conductor = "";
	var num_economico = "";
	
	var carga_dia_control = 0;
	var carga_dia_max = 0;
	var carga_dia_cuenta = 0;	
	var odometro = 0;
	var odometro_dif_max = 0;
	var volumen_dia_control = 0;
	var volumen_dia_max = 0;
	var volumen_dia_cuenta = 0;
	var monto_dia_control = 0;
	var monto_dia_max = 0;
	var monto_dia_cuenta = 0;

	var periodo_tiempo = document.getElementById('cmbperiodo').value;
	var periodo_dias = document.getElementById('cmbdia').value;
	var volumen_periodo_control=0;
	var volumen_periodo_max = 0;
	var volumen_periodo_cuenta = 0;
	var monto_periodo_control = 0;
	var monto_periodo_max = 0;
	var monto_periodo_cuenta = 0;
	
	var dia_semana_control = 0;
	var dia_semana = "0000000";

	var producto_control = 0;
	var producto_id = "0";
		
	var monto_volumen_fijo_control = 0;	
	var monto_fijo = 0;
	var volumen_fijo = 0;
	var nip_control = 0;
	var	odometro_control = 0;
	var	referencia_control = 0;
	
	var habilitado = 0;
	var num = 0;
			
	departamento = document.getElementById('txtdepartamento').value;
	descripcion = document.getElementById('txtdescripcion').value;
	modelo = document.getElementById('txtmodelo').value;
	marca = document.getElementById('txtmarca').value;
	placa = document.getElementById('txtplaca').value;
	tag = document.getElementById('txttag').value;
	nip = document.getElementById('txtnip').value;
	conductor = document.getElementById('txtconductor').value;
	num_economico = document.getElementById('txtnumeroeconomico').value;
	
	if(document.getElementById("habilitadoV").checked)
	{
		habilitado = 1;
	}
	if (document.getElementById('cbxcargadia').checked)
	{		
		carga_dia_control = 1;		
		carga_dia_max = document.getElementById('txtcargadiamaximo').value;
		
		if(carga_dia_max.length == 0){
			swal("Ingresar carga dia maximo");
			return;
		}		
	}	
	odometro = document.getElementById('txtodometro').value;
	odometro_dif_max = document.getElementById('txtodometromax').value;		
	if (document.getElementById('cbxvolumendia').checked)
	{
		volumen_dia_control = 1;
		volumen_dia_max = document.getElementById('txtvolumendiamaximo').value;		
		if(volumen_dia_max.length == 0){
			swal("Ingresar volumen dia maximo");
			return;
		}		
	}
	if (document.getElementById('cbxmontodia').checked)
	{
		monto_dia_control = 1;
		monto_dia_max = document.getElementById('txtmontodiamaximo').value;
		
		if(monto_dia_max.length == 0){
			swal("Ingresar monto dia maximo");
			return;
		}		
	}
	var periodo = document.getElementById("cmbperiodo").value;
	if( periodo == null) 
	{
		swal("Ingresar periodo");
		return;
	}	
	var periododia = document.getElementById("cmbdia").value;
	if(periodo_tiempo == 3)
	{
		if( periododia == null || periododia == 0 ) {
			swal("Ingresar dia");
			return;
		}		
	}
	else
	{	
		periodo_dias = 0;
	}
	
	if (document.getElementById('cbxvolumenperiodo').checked)
	{		
		volumen_periodo_control= 1;
		volumen_periodo_max = document.getElementById('txtvolperiodomaximo').value;
		
		if(volumen_periodo_max.length == 0){
			swal("Ingresar volumen periodo maximo");
			return;
		}		
	}	
	if (document.getElementById('cbxmontoperiodo').checked)
	{		
		monto_periodo_control = 1;
		monto_periodo_max = document.getElementById('txtmontoperiodomaximo').value;
				
		if(monto_periodo_max.length == 0){
			swal("Ingresar monto periodo maximo");
			return;
		}		
	}	
	if (document.getElementById('cbxcontroldia').checked)
	{
		dia_semana_control = 1;
		dia_semana = "";
		if(document.getElementById('cbxdias1').checked)	
			dia_semana += document.getElementById('cbxdias1').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias2').checked)	
			dia_semana += document.getElementById('cbxdias2').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias3').checked)	
			dia_semana += document.getElementById('cbxdias3').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias4').checked)	
			dia_semana += document.getElementById('cbxdias4').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias5').checked)	
			dia_semana += document.getElementById('cbxdias5').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias6').checked)	
			dia_semana += document.getElementById('cbxdias6').value;
		else
			dia_semana += 0;
		if(document.getElementById('cbxdias7').checked)	
			dia_semana += document.getElementById('cbxdias7').value;
		else
			dia_semana += 0;
		if(dia_semana.length == 0){
				swal("elegir un dia para el control dia semana");
				return;
		}			
	}
	if (document.getElementById('cbxproducto').checked)
	{		
		producto_control = "1";	

		if(document.getElementById('cbxprod1').checked)	{			
			producto_id = "1";
			if(document.getElementById('cbxprod2').checked)	{
				producto_id= producto_id+"1";
				if(document.getElementById('cbxprod3').checked)	{
					producto_id=producto_id+"1";

				}else{
					producto_id=producto_id+"0";

				}

			}else{
				producto_id= producto_id+"0";
				if(document.getElementById('cbxprod3').checked)	{
					producto_id=producto_id+"1";

				}else{
					producto_id=producto_id+"0";

				}
			}

		}else{
			producto_id = "0";
			if(document.getElementById('cbxprod2').checked)	{
				producto_id= producto_id+"1";
				if(document.getElementById('cbxprod3').checked)	{
					producto_id=producto_id+"1";

				}else{
					producto_id=producto_id+"0";

				}

			}else{
				producto_id= producto_id+"0";
				if(document.getElementById('cbxprod3').checked)	{
					producto_id=producto_id+"1";

				}else{
					producto_id=producto_id+"0";

				}
			}

		}
		




		
		
		if(producto_id == "0"){
				swal("elegir producto ");
				return;
		}
	}
	if(document.getElementById('cbxnip').checked)
		nip_control = 1;
	if(document.getElementById('cbxodometro').checked)
		odometro_control = 1;
	if(document.getElementById('cbxreferencia').checked)
		referencia_control = 1;
	
	if (document.getElementById('cbxmonto_volumen_fijo').checked)
	{
		monto_volumen_fijo_control = 1;
		monto_fijo = document.getElementById('txtmontofijo').value;
		volumen_fijo = document.getElementById('txtvolumenfijo').value;
		
		if(monto_fijo.length == 0 && volumen_fijo == 0){
			swal("seleccionar un monto o volumen fijo");
			return;
		}
		if(monto_fijo.length > 0 && volumen_fijo > 0){
			swal("seleccionar o monto o volumen fijo");
			return;
		}
		if(monto_fijo.length == 0){
			monto_fijo = 0;
		}
		if(volumen_fijo.length == 0){
			volumen_fijo = 0;
		}
	}
	
	var parametros = {                
				"id_vehiculo" : q,				
				"habilitado" : habilitado,				
				"carga_dia_control" : carga_dia_control,
				"carga_dia_max" : carga_dia_max,
				"carga_dia_cuenta" : carga_dia_cuenta,				
				"odometro" : odometro,
				"odometro_dif_max" : odometro_dif_max,
				"volumen_dia_control"  : volumen_dia_control ,
				"volumen_dia_max" : volumen_dia_max ,
				"volumen_dia_cuenta" : volumen_dia_cuenta,
				"monto_dia_control" : monto_dia_control ,
				"monto_dia_max" : monto_dia_max,
				"monto_dia_cuenta" : monto_dia_cuenta,
				"periodo_tiempo" : periodo_tiempo,
				"periodo_dias" : periodo_dias,
				"volumen_periodo_control" : volumen_periodo_control,
				"volumen_periodo_max" : volumen_periodo_max,
				"volumen_periodo_cuenta" : volumen_periodo_cuenta,
				"monto_periodo_control" : monto_periodo_control,
				"monto_periodo_max" : monto_periodo_max,
				"monto_periodo_cuenta" : monto_periodo_cuenta,	
				"dia_semana_control" : dia_semana_control,
				"dia_semana" : dia_semana,
				"producto_control" : producto_control,
				"producto_id" : producto_id,
				"monto_volumen_fijo" : monto_volumen_fijo_control,
				"monto_fijo" : monto_fijo,
				"volumen_fijo" : volumen_fijo,
				"departamento" : departamento,
				"descripcion" : descripcion,
				"modelo" : modelo,
				"marca" : marca,
				"placa" : placa,
				"tag" : tag,
				"nip" : nip,
				"nip_control" : nip_control,
				"odometro_control" : odometro_control,
				"referencia_control" : referencia_control,
				"conductor" : conductor,
				"num_economico" : num_economico
        };
        $.ajax({
				async:false,
                data:  parametros,
                url:   'mysql_editar_vehiculo.php',
                type:  'get',            
                 success:  function (response) {                       					
					mensaje = response.trim();					
                }
        });	
		sleep(1000);			
		num = mensaje.localeCompare("Vehiculo modificado correctamente");		
		swal(mensaje);		
		if(num == 0)		
			setTimeout ("window.location='catalogo_vehiculos.php';", 2000);		
}

function vistafijo()
{
	elementos1 = document.getElementById('txtmontofijo');
	elementos2 = document.getElementById('txtvolumenfijo');
	
	if (document.getElementById('cbxmonto_volumen_fijo').checked)
	{
		elementos1.style.display = 'block';
		elementos2.style.display = 'block';		
	}else{
		elementos1.style.display = 'none';
		elementos2.style.display = 'none';
		elementos1.value = '';
		elementos2.value = '';
	}
}
function vistaproducto()
{
	elementos1 = document.getElementById('cbxprod1');
	elementos2 = document.getElementById('cbxprod2');
	elementos3 = document.getElementById('cbxprod3');
	if (document.getElementById('cbxproducto').checked)
	{
		elementos1.style.display = 'inline';
		elementos2.style.display = 'inline';
		elementos3.style.display = 'inline';
	}else{
		elementos1.style.display = 'none';
		elementos2.style.display = 'none';
		elementos3.style.display = 'none';
		elementos1.checked = false;
		elementos2.checked = false;
		elementos3.checked = false;
	}
}
function diaseleccion()
{
	elementos1 = document.getElementById('cbxdias1');
	elementos2 = document.getElementById('cbxdias2');
	elementos3 = document.getElementById('cbxdias3');
	elementos4 = document.getElementById('cbxdias4');
	elementos5 = document.getElementById('cbxdias5');
	elementos6 = document.getElementById('cbxdias6');
	elementos7 = document.getElementById('cbxdias7');
	if (document.getElementById('cbxcontroldia').checked)
	{
		elementos1.style.display = 'block';
		elementos2.style.display = 'block';
		elementos3.style.display = 'block';
		elementos4.style.display = 'block';
		elementos5.style.display = 'block';
		elementos6.style.display = 'block';
		elementos7.style.display = 'block';
	}else
	{
		elementos1.style.display = 'none';
		elementos2.style.display = 'none';
		elementos3.style.display = 'none';
		elementos4.style.display = 'none';
		elementos5.style.display = 'none';
		elementos6.style.display = 'none';
		elementos7.style.display = 'none';
		elementos1.checked = false;
		elementos2.checked = false;
		elementos3.checked = false;
		elementos4.checked = false;
		elementos5.checked = false;
		elementos6.checked = false;
		elementos7.checked = false;
	}

} 
function controlperiodo()
{
	if (document.getElementById('cbxvolumenperiodo').checked)
	{
		document.getElementById('txtvolperiodomaximo').style.display = 'block';		
	}else{
		document.getElementById('txtvolperiodomaximo').value = '';
		document.getElementById('txtvolperiodomaximo').style.display = 'none';
	}
	if (document.getElementById('cbxmontoperiodo').checked)
	{
		document.getElementById('txtmontoperiodomaximo').style.display = 'block';
	}else{
		document.getElementById('txtmontoperiodomaximo').value = '';
		document.getElementById('txtmontoperiodomaximo').style.display = 'none';
	}
}
function periododias()
{
	if(document.getElementById('cmbperiodo').value != 0)
	{
		document.getElementById('cbxvolumenperiodo').style.display ='block';
		document.getElementById('cbxmontoperiodo').style.display ='block';
	}else{
		document.getElementById('cbxvolumenperiodo').checked = false;
		document.getElementById('cbxmontoperiodo').checked = false;
		document.getElementById('cbxvolumenperiodo').style.display ='none';
		document.getElementById('cbxmontoperiodo').style.display ='none';
		document.getElementById('txtvolperiodomaximo').style.display = 'none';
		document.getElementById('txtvolperiodocuenta').style.display = 'none';
		document.getElementById('txtmontoperiodomaximo').style.display = 'none';
		document.getElementById('txtmontoperiodocuenta').style.display = 'none';
	}
	
	if(document.getElementById('cmbperiodo').value == 3)
	{
		document.getElementById('cmbdia').style.display = 'block';
	}else{
		document.getElementById('cmbdia').value = 0;
		document.getElementById('cmbdia').style.display = 'none';
	}
}
function dia_control()
{
	if (document.getElementById('cbxcargadia').checked)
	{		
		document.getElementById('txtcargadiamaximo').style.display = 'block';
			
	}else{
		document.getElementById('txtcargadiamaximo').value = '';		
		document.getElementById('txtcargadiamaximo').style.display = 'none';
	}
	
	if (document.getElementById('cbxvolumendia').checked)
	{
		document.getElementById('txtvolumendiamaximo').style.display = 'block';
	}else{
		document.getElementById('txtvolumendiamaximo').value = '';
		document.getElementById('txtvolumendiamaximo').style.display = 'none';
	}
	
	if (document.getElementById('cbxmontodia').checked)
	{
		document.getElementById('txtmontodiamaximo').style.display = 'block';
	}else{
		document.getElementById('txtmontodiamaximo').value = '';
		document.getElementById('txtmontodiamaximo').style.display = 'none';
	}
}
function vehiculo_seleccion(vehiculo)
{			
	id = vehiculo.id;	
	
	if(aux == 0)
		aux = id;
	
	if(id == aux){
		document.getElementById('tabla_vehiculos').style.backgroundColor = "transparent";					
		vehiculo.style.backgroundColor = '#A8BA30';	
		vehiculo.style.color = 'white';	
		aux = id ;
	}
	else{		
		vehiculo.style.backgroundColor = '#A8BA30';	
		vehiculo.style.color = 'white';	
		document.getElementById(aux).style.backgroundColor = "transparent";				
		document.getElementById(aux).style.color = "black";				
		aux = id;
	}	
}
function vehiculo_seleccion2(vehiculo)
{		
	
	var sep= vehiculo.id.split("|");
	
	id = vehiculo.id;

	if(aux == 0)
		aux = id;
	
	if(id == aux){
		document.getElementById('tabla_vehiculos2').style.backgroundColor = "transparent";					
		vehiculo.style.backgroundColor = '#A8BA30';	
		vehiculo.style.color = 'white';	
		aux = id ;
	}
	else{		
		vehiculo.style.backgroundColor = '#A8BA30';	
		vehiculo.style.color = 'white';	
		document.getElementById(aux).style.backgroundColor = "transparent";				
		document.getElementById(aux).style.color = "black";				
		aux = id;
	}
	
	//document.getElementById("montoselec").value=sep[1];
	document.getElementById("myDiv").innerHTML="";
	document.getElementById("tituloventana").innerHTML = "Registro Transacciones";
	
	
		 
}
function detalles (tip){
	
	if(tip=="1")
	{
		var sep= id.split("|");
	$('#popup').fadeIn('slow');
        $('.popup-overlay').fadeIn('slow');
        $('.popup-overlay').height($(window).height());
		  var prod = jQuery('#open').val(); 
		  
			$("#loader").fadeIn('slow');
		var pos=document.getElementById(id);
		capa=$(pos);

		var posicion=capa.position().top
		var posicionresta=parseFloat(posicion)-350;
			$("#popup").css("top", ""+posicionresta);
			$.ajax({
				url:'transacciones_detalle.php?action=ajax&page='+sep[0],
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="images/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})	   
	}
	
	if(tip=="2")
	{
		var sep= id.split("|");
		if(sep[1]!="")
	{
		window.open("factura.php?id_f="+sep[0]);
	}
	else
	{
		swal("El archivo PDF no se creo.");
	}
	}
	
}
function facturas_seleccion(factura)
{		
	
	var sep= factura.id.split("|");
	
	id = factura.id;

	if(aux == 0)
		aux = id;
	
	if(id == aux){
		document.getElementById('tabla_facturas').style.backgroundColor = "transparent";					
		factura.style.backgroundColor = '#A8BA30';	
		factura.style.color = 'white';	
		aux = id ;
	}
	else{		
		factura.style.backgroundColor = '#A8BA30';	
		factura.style.color = 'white';	
		document.getElementById(aux).style.backgroundColor = "transparent";				
		document.getElementById(aux).style.color = "black";				
		aux = id;
	}
	
	
	document.getElementById("myDiv").innerHTML="";
	
	/*$('#popup').fadeIn('slow');
        $('.popup-overlay').fadeIn('slow');
        $('.popup-overlay').height($(window).height());
		  var prod = jQuery('#open').val(); 
		  
			$("#loader").fadeIn('slow');
	
			$.ajax({
				url:'transacciones_detalle.php?action=ajax&page='+sep[0],
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="images/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})*/
	
		 
}
function alta()
{	
alta_vehiculo = 1;
document.getElementById('btneditar').style.display = 'none';
	document.getElementById('btnconsultar').style.display = 'none';
      $.ajax({        
		url:   'Alta_vehiculo.php',
		type:  'get',
		beforeSend: function () {
			$("#centro_catalogo").html("Procesando, espere por favor...");
		},
		success:  function (response) {			
			$("#centro_catalogo").html(response);						
                }
        });	
}
function pulsar(obj) { 
    if (!obj.checked) return 
    elem=document.getElementsByName('cbxprod'); 
    for(i=0;i<elem.length;i++)  
        elem[i].checked=false; 
    obj.checked=true; 
} 
function editar()
{		
	if(id == 0)
	{
		swal("Elegir un vehiculo");
		return;
	}
	edita_vehiculo = 1;
	document.getElementById('btnagregar').style.display = 'none';
	document.getElementById('btnconsultar').style.display = 'none';
	var parametros = {
				"vehiculo" : id
        };
      $.ajax({
        data:  parametros,
		url:   'Editar_vehiculo.php',
		type:  'get',
		beforeSend: function () {
			$("#centro_catalogo").html("Procesando, espere por favor...");
		},
		success:  function (response) {
			document.getElementById('btnagregar').style.display = 'none';
			$("#centro_catalogo").html(response);						
                }
        });	
}
function consultar()
{	
	if(id == 0)
	{
		swal("Elegir un vehiculo");
		return;
	}
	consulta_vehiculo = 1;			
	document.getElementById('btnagregar').style.display = 'none';
	document.getElementById('btneditar').style.display = 'none';
	var parametros = {
				"vehiculo" : id
        };
      $.ajax({
        data:  parametros,
		url:   'Consultar_vehiculo.php',
		type:  'get',
		beforeSend: function () {
			$("#centro_catalogo").html("Procesando, espere por favor...");
		},
		success:  function (response) {
			document.getElementById('btnagregar').style.display = 'none';
			$("#centro_catalogo").html(response);						
                }
        });	
}
function reenvio(id_factura)
{
	$("#reenvioCorreo").show();
	$("#divFacturas").hide();
	id_fact=id_factura;
}

function regresarReenvio()
{
	$("#reenvioCorreo").hide();
	$("#divFacturas").show();
}


function enviarCorreo()
{
	var correo = $("#txtCorreo").val();

	var parametros = {
		"id_factura":id_fact,
		"correo":correo

	};

	$.ajax({
        data:  parametros,
        url:   'reenvio_factura.php',
        type:  'get',
        beforeSend: function () {                     
        },
        success:  function (response) {						
			swal(response);
			$("#divFacturas").show();
			$("#reenvioCorreo").hide();

        }
    });

}


